package ittp.protocol.response.headers;

import ittp.protocol.response.Response;
import ittp.protocol.Protocol;
import java.text.FieldPosition;

/**
 * This class create the header last-modified.
 * @author Frederic Bidon and Mathieu Texier
 */
public class LastModified  extends Response.Headers{
    private Response parent;
    /**Constructor of the class*/
    public LastModified (Response parent) {
        parent.super ();
        this.parent = parent;
    }
    
    /**
     * Convert to a string the headers last-modified.
     * @return a string containing the date of the last modification of the file.
     */
    public String toString () {
        StringBuffer strBuf = new StringBuffer ();
        strBuf = Protocol.dateFormat.format (new java.util.Date (parent.body.file.lastModified ()), strBuf ,new FieldPosition (0));
        return strBuf + "\n";
    }
    
    /**
     * Mutators for the boolean allowed.
     * @param allowed boolean that determine if this headers is allowed.
     */
    public void setAllowed (boolean allowed) {
        this.allowed = allowed;
    }
    
    /**
     * Mutators for the boolean used.
     * @param used boolean that determine if this headers is used.
     */
    public void setUsed (boolean used) {
        this.used = used;
    }
}
